libvisio::VSDRelEllipticalArcTo Class Reference
Inheritance diagram for libvisio::VSDRelEllipticalArcTo:

## Public Member Functions

| VSDRelEllipticalArcTo (unsigned id, unsigned level, const std::optional< double > &x3, const std::optional< double > &y3, const std::optional< double > &x2, const std::optional< double > &y2, const std::optional< double > &angle, const std::optional< double > &ecc)
| ~VSDRelEllipticalArcTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes

double | m_x3
double | m_y3
double | m_x2
double | m_y2
double | m_angle
double | m_ecc

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDRelEllipticalArcTo()

libvisio::VSDRelEllipticalArcTo::VSDRelEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< double > & | x3,
|  | const std::optional< double > & | y3,
|  | const std::optional< double > & | x2,
|  | const std::optional< double > & | y2,
|  | const std::optional< double > & | angle,
|  | const std::optional< double > & | ecc )

inline

Referenced by clone().

## ~VSDRelEllipticalArcTo()

libvisio::VSDRelEllipticalArcTo::~VSDRelEllipticalArcTo | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelEllipticalArcTo::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDRelEllipticalArcTo::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_angle

double libvisio::VSDRelEllipticalArcTo::m_angle

Referenced by clone(), handle(), and VSDRelEllipticalArcTo().

## m_ecc

double libvisio::VSDRelEllipticalArcTo::m_ecc

Referenced by clone(), handle(), and VSDRelEllipticalArcTo().

## m_x2

double libvisio::VSDRelEllipticalArcTo::m_x2

Referenced by clone(), handle(), and VSDRelEllipticalArcTo().

## m_x3

double libvisio::VSDRelEllipticalArcTo::m_x3

Referenced by clone(), handle(), and VSDRelEllipticalArcTo().

## m_y2

double libvisio::VSDRelEllipticalArcTo::m_y2

Referenced by clone(), handle(), and VSDRelEllipticalArcTo().

## m_y3

double libvisio::VSDRelEllipticalArcTo::m_y3

Referenced by clone(), handle(), and VSDRelEllipticalArcTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp